<?xml version="1.0" encoding="UTF-8"?>

<!--
 * 
 * This help file was generated from fmincon_checkgreq.sci using help_from_sci().
 * 
 -->

<refentry version="5.0-subset Scilab" xml:id="fmincon_checkgreq" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">

  <info>
    <pubdate>$LastChangedDate: 05-Aug-2010 $</pubdate>
  </info>

  <refnamediv>
    <refname>fmincon_checkgreq</refname><refpurpose>Check that the value is greater or equal than a threshold.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   errmsg = fmincon_checkgreq ( funname , var , varname , ivar , expectedopt )
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>funname :</term>
      <listitem><para> a 1 x 1 matrix of strings, the name of the calling function.</para></listitem></varlistentry>
   <varlistentry><term>var :</term>
      <listitem><para> a 1 x 1 matrix of valid Scilab data type, the variable</para></listitem></varlistentry>
   <varlistentry><term>varname :</term>
      <listitem><para> a 1 x 1 matrix of string, the name of the variable</para></listitem></varlistentry>
   <varlistentry><term>ivar :</term>
      <listitem><para> a 1 x 1 matrix of floating point integers, the index of the input argument in the calling sequence</para></listitem></varlistentry>
   <varlistentry><term>thr :</term>
      <listitem><para> a matrix of values, the minimum value for the variable #ivar</para></listitem></varlistentry>
   <varlistentry><term>errmsg :</term>
      <listitem><para> a 1 x 1 matrix of strings, the error message. If there was no error, the error message is the empty matrix.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
This function is designed to be used to design functions where an
input argument is expected to be greater or equal to a threshold.
The error is generated if the condition or ( var &lt; thr ) is true.
This function can be used for whatever variable type for which
the comparison "&lt;" can be evaluated.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// The function takes an argument x such that x>=1.
function y = myfunction ( x )
fmincon_checkgreq ( "myfunction" , x , "x" , 1 , 1 )
y = sqrt(x-1)
endfunction
// Calling sequences which work
myfunction ( [1.1,2.2,3.3] )
// Calling sequences which generate an error
myfunction ( [0.2,1] )
myfunction ( [1,-1.1,2,4.4] )

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Michael Baudin - 2010 - DIGITEO</member>
   </simplelist>
</refsection>
</refentry>
